Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui
Class Loader

    java.lang.Object
      weka.gui.Loader

    public class Loader

extends java.lang.Object

This class is for loading resources from a JAR archive.

Version:
  $Revision: 1.1.2.1 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

Constructor Summary
`Loader(java.lang.String dir)` initializes the object

Method Summary
`java.lang.String` | `getDir()` returns the dir prefix
`java.io.InputStream` | `getInputStream(java.lang.String filename)` returns an InputStream for the given filename, can be NULL if it fails
`static java.io.InputStream` | `getInputStream(java.lang.String dir, java.lang.String filename)` returns an InputStream for the given dir and filename, can be NULL if it fails
`java.io.Reader` | `getReader(java.lang.String filename)` returns a Reader for the given filename, can be NULL if it fails
`static java.io.Reader` | `getReader(java.lang.String dir, java.lang.String filename)` returns a Reader for the given filename and dir, can be NULL if it fails
`java.net.URL` | `getURL(java.lang.String filename)` returns a URL for the given filename, can be NULL if it fails
`static java.net.URL` | `getURL(java.lang.String dir, java.lang.String filename)` returns a URL for the given filename, can be NULL if it fails
`java.lang.String` | `processFilename(java.lang.String filename)` returns the processed filename, i.e.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Loader

    public Loader(java.lang.String dir)

  initializes the object

Method Detail

### getDir

    public java.lang.String getDir()

  returns the dir prefix

### processFilename

    public java.lang.String processFilename(java.lang.String filename)

  returns the processed filename, i.e. with the dir-prefix if it's missing

### getURL

    public static java.net.URL getURL(java.lang.String dir,
                                      java.lang.String filename)

  returns a URL for the given filename, can be NULL if it fails

### getURL

    public java.net.URL getURL(java.lang.String filename)

  returns a URL for the given filename, can be NULL if it fails

### getInputStream

    public static java.io.InputStream getInputStream(java.lang.String dir,
                                                     java.lang.String filename)

  returns an InputStream for the given dir and filename, can be NULL if it fails

### getInputStream

    public java.io.InputStream getInputStream(java.lang.String filename)

  returns an InputStream for the given filename, can be NULL if it fails

### getReader

    public static java.io.Reader getReader(java.lang.String dir,
                                           java.lang.String filename)

  returns a Reader for the given filename and dir, can be NULL if it fails

### getReader

    public java.io.Reader getReader(java.lang.String filename)

  returns a Reader for the given filename, can be NULL if it fails

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD